package com.hp.user.service.controller;

import com.hp.user.client.entity.AreaVO;
import com.hp.user.client.service.UserAreaService;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@RestController
@RequestMapping("/area")
public class AreaController {

    @Autowired
    private UserAreaService areaService;

    /**
     * 查询所有地区
     */
    @RequestMapping("/queryAllArea")
    public List<AreaVO> queryAllArea(){
        return areaService.getAllArea();
    }
}
